Bug 107119 - Not properly finding primary video adapter
Not properly finding primary video adapter
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
bzcl34nup
:
: 109572 (view as bug list)
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2003-10-15 03:34 EDT by Rainer Traut
Modified: 2014-03-16 22:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kudzu output (3.22 KB, text/plain)
2003-10-16 03:17 EDT, Rainer Traut
no flags Details
lspci output (8.63 KB, text/plain)
2003-10-16 03:17 EDT, Rainer Traut
no flags Details

  None (edit)
Description Rainer Traut 2003-10-15 03:34:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6a) Gecko/20031014

Description of problem:
It's a Dell optiplex gx260 with i845g/gl chipset, on board graphics is disabled
by plugging in an old permedia 2 based agp.

It's a Diamond Fire GL1000
01:07.0 Display controller: Texas Instruments TVP4020 [Permedia 2] (rev 01)

Anaconda seems to find only the disabled i845 graphics.

1) anaconda only seems to recognise the intel graphics, which leads to a text
only install

2) after reboot screen goes blank very often while booting kernel (think it
tries to start X but fails as wrong card is configured (i845)grafics mode kernel
boot?!)

Version-Release number of selected component (if applicable):
anaconda on severn3 cd

How reproducible:
Always

Steps to Reproduce:
1. Try to install Fedora on this machine
2. Look at textmode install
3. After textboot, I can configure card, though first card I get presented to
use is the i845. Second ist Permedia2
    

Actual Results:  After textmode boot, I am asked to chose graphics card, first
choice is wrong I845, then Permedia 2.
There is still sth. worng with this Permedia 2, as I can only go to max.
800*600, but I do another bug report for this.

Expected Results:  Graphics install

Additional info:

This has always been there, every redhat Version i tried to install gave me
textmode only install though it's a supported card.
Comment 1 Bill Nottingham 2003-10-16 00:07:15 EDT
Can you post the output of 'kudzu -p -b pci' post install? And the output of
'lspci -vv'?
Comment 2 Rainer Traut 2003-10-16 03:17:17 EDT
Created attachment 95223 [details]
kudzu output
Comment 3 Rainer Traut 2003-10-16 03:17:40 EDT
Created attachment 95224 [details]
lspci output
Comment 4 Bill Nottingham 2003-10-16 14:20:54 EDT
Hm, I don't see anything there that we can use to determine which is active.
Comment 5 Jeremy Katz 2003-10-16 14:56:40 EDT
anaconda can't really do anything without information from kudzu about which is
the active device.
Comment 6 Brent Fox 2004-04-16 16:45:56 EDT
Can you check in the BIOS and see if there is a way to set the primary
video controller to AGP instead of the onboard card?
Comment 7 Alan Cox 2004-06-21 12:54:30 EDT
Bill you can tell which is active by looking at theVGA_EN routing
bits. Ask Mike Harris for some X11 Zen if you need more info
Comment 8 Barry K. Nathan 2004-11-07 15:23:59 EST
(Quoting from the original bug report)

> There is still sth. worng with this Permedia 2, as I can only go to max.
> 800*600, but I do another bug report for this.

That's bug 108681. IIRC, at some point Mike Harris concluded that the
hardware is too old and rare for Red Hat to spend any major effort
trying to fix that bug. Trying to fix it myself is on my to-do list
but I don't know when I'll get a chance to make more progress. In the
meantime, some of the Bugzilla comments in that bug have workarounds.
Comment 9 Jim Cornette 2004-11-07 20:48:52 EST
Adding to the confusion. I have also had problems with the PCI card
and the internal card not getting recognized correctly. In my case,
setting BIOS to the internal as primary will get my 815 graphics
controller recognized. The secondary card will overlap memory
allocated for the 815 GC and cause a limit on maximum resolution down
to 800x600. The PCI cards tried, one radeon 7200 w/ 32 MB internal
memory and then a second PCI card ATI w/ 16 MB builtin memory would
"Steal" the memory from the 815, even though they have their own
internal memory and do not need to use the shared memory.
Regarding disabling the 815 GC, there is no option in BIOS, if
disabling the GC was desired.
Therefore, it is desirable for the functionality and tools to disable
the desired card. This should be done at the configuring the server
level. 
The GC buss identities should be added within the config file,
regardless to whether you have one card or multiple cards within the box.
As a personal opinion, hardware used at a corporate level is usually
older than that of a single computer user, who can replace one
machine. Old hardware that is available on many boxes is less likely
to be tossed out if large supplies of the hardware exist. It would be
great to fix the problem and enhance to view of corporate users and
personal users. Hardware stays around for awhile. It is a shame for it
to become unsupported any longer.
Comment 10 Rainer Traut 2004-11-08 03:09:05 EST
Hmm, I don't think it's the same problem.
In my config I have two agp cards, one of them is disabled when you
plug in the other one. However I get the disabled one presented again
and again.
There is no option in Bios to use the onboard or the plugged in card.
Comment 11 Barry K. Nathan 2004-11-08 12:13:54 EST
Rainer, would you mind posting the output of "/usr/sbin/ddcprobe --raw
--videocard" (as root)?

BTW, as far as I can tell from the lspci output, your onboard video
isn't actually being disabled. Perhaps it's being demoted from primary
to secondary display, but it doesn't look like it's being disabled.
Comment 12 Jim Cornette 2004-11-10 22:16:56 EST
Adding myself to this bug report. I think that your other card is
demoted instead of disabled. Is there any BIOS setting which allows
the graphics card to be disabled?
I installed on a Dell Optiplex with an Intel 865G today and there was
no problems with upgraded BIOS (A04) and setting the lagacy video
selection to 8 meg instead of the default 1 meg.
I did not see any choice for disabling the graphics card.
Anyway, upgrade your BIOS and set the legacy video to 8 meg. This
should get you up to 1024x768 at least.
Regarding the 815 chipset o the other computer. ATI or Radeon was
attempted before the 815, even though the BIOS setting mandated the
internal as primary and the ati or radeon to be secondary.

Comment 13 Rainer Traut 2005-05-17 03:04:00 EDT
I am sorry, I do not have access to this machine anymore.
But I know there is no switch to completely disable onboard video in Bios
Comment 14 Bill Nottingham 2005-09-23 16:41:33 EDT
*** Bug 109572 has been marked as a duplicate of this bug. ***
Comment 15 Bug Zapper 2008-04-03 11:30:52 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 16 Bug Zapper 2008-05-06 19:57:25 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.